Get trading instruments
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/trading/instruments \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/trading/instruments"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/trading/instruments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/trading/instruments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"instruments": [
{
"minimumTradeSize": 12.03532,
"impactMidSize": 12.03532,
"maxPositionSize": 12.03532,
"openingDate": "2023-11-07T05:31:56Z",
"symbol": "PF_BTCUSD",
"pair": "BTC:USD",
"base": "BTC",
"quote": "USD",
"tickSize": 12.03532,
"type": "futures_inverse",
"isin": "<string>",
"contractValueTradePrecision": 123,
"postOnly": true,
"feeScheduleUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rebateLevels": {},
"mtf": true,
"tradfi": true,
"restricted": true,
"isExpired": true,
"fundingRateCoefficient": 12.03532,
"lastTradingTime": "2023-11-07T05:31:56Z",
"maxOpenInterestUsd": 12.03532,
"marginLevels": [
{
"initialMargin": 12.03532,
"maintenanceMargin": 12.03532,
"contracts": 123,
"numNonContractUnits": 12.03532
}
],
"maxRelativeFundingRate": 12.03532,
"minRelativeFundingRate": 12.03532,
"underlying": "<string>",
"description": "<string>",
"makerProtectionMillis": 123,
"optionType": "call",
"strikePrice": 12.03532,
"underlyingFuture": "<string>"
}
],
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}Instruments
Get trading instruments
Returns specifications for all currently accessible markets and indices.
GET
/
trading
/
instruments
Get trading instruments
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/trading/instruments \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/trading/instruments"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/trading/instruments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/trading/instruments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"instruments": [
{
"minimumTradeSize": 12.03532,
"impactMidSize": 12.03532,
"maxPositionSize": 12.03532,
"openingDate": "2023-11-07T05:31:56Z",
"symbol": "PF_BTCUSD",
"pair": "BTC:USD",
"base": "BTC",
"quote": "USD",
"tickSize": 12.03532,
"type": "futures_inverse",
"isin": "<string>",
"contractValueTradePrecision": 123,
"postOnly": true,
"feeScheduleUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rebateLevels": {},
"mtf": true,
"tradfi": true,
"restricted": true,
"isExpired": true,
"fundingRateCoefficient": 12.03532,
"lastTradingTime": "2023-11-07T05:31:56Z",
"maxOpenInterestUsd": 12.03532,
"marginLevels": [
{
"initialMargin": 12.03532,
"maintenanceMargin": 12.03532,
"contracts": 123,
"numNonContractUnits": 12.03532
}
],
"maxRelativeFundingRate": 12.03532,
"minRelativeFundingRate": 12.03532,
"underlying": "<string>",
"description": "<string>",
"makerProtectionMillis": 123,
"optionType": "call",
"strikePrice": 12.03532,
"underlyingFuture": "<string>"
}
],
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}Authorizations
General API key with at least read-only access
Authentication string
Query Parameters
Contract type(s) to return statuses for.
By default, includes all futures instrument types.
Multi-value example: ?contractType=futures_inverse&contractType=futures_vanilla
Available options:
futures_inverse, futures_vanilla, flexible_futures, options, all Response
200 - application/json
- Success Response
- Errors
A list containing structures for each available instrument. The list is in no particular order.
Show child attributes
Show child attributes
Available options:
success Example:
"success"
Server time in Coordinated Universal Time (UTC)
Example:
"2020-08-27T17:03:33.196Z"
Was this page helpful?